Summary: Gtk+ radio program for Video4Linux users
Name: rdj
Version: 0.2.5
Release: 1
Copyright: GPL
Group: Applications/Multimedia
URL: http://mimms.sourceforge.net/
Source: http://mimms.sourceforge.net/rdj/rdj-025.tgz
Patch0: rdj-makefile.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
rdj is a gtk+ radio interface for bttv video devices with radio
tuners. Scanning, station editing, using devices radio0-3, setting a
default station, and having unlimited stations are fully
supported. Also, you can start your favorite television app and mixer
from it.

%prep
%setup -q
%patch0 -p1

%build
pushd src
CFLAGS=$RPM_OPT_FLAGS make LANGUAGE=english LC_ALL=english rdj
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}{/rdj/xpm,/gnome/apps/Multimedia/,/applnk/Multimedia/}
mkdir -p %{buildroot}%{_mandir}/man1

install -m755 src/rdj %{buildroot}%{_bindir}
install -m755 src/rdj_term %{buildroot}%{_bindir}
install -m644 rdj.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/
install -m644 rdj.kdelnk %{buildroot}%{_datadir}/applnk/Multimedia/
install -m644 rdj.1 %{buildroot}%{_mandir}/man1
install -m644 *.xpm %{buildroot}%{_datadir}/rdj
install -m644 xpm/*.xpm %{buildroot}%{_datadir}/rdj/xpm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog KNOWN_BUGS Languages example.rdj
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/rdj
%{_datadir}/gnome/apps/Multimedia/rdj.desktop
%{_datadir}/applnk/Multimedia/rdj.kdelnk

%changelog
* Thu Dec 14 2000 Tim Powers <timp@redhat.com>
- initial build for Powertools
- summary and description taken from packages on the web site
